.custom-alert {
  display: flex;
  align-items: center;
  padding: 15px;
  border-radius: 6px;
  text-align: left;
  margin-bottom: 1rem;
  color: black;
}

.custom-alert .icon {
  font-size: 20px;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 10px;
  flex-shrink: 0;
  color: white;
  font-weight: bold;
}

.custom-alert.error {
  background-color: #f8d7da;
  border: 1px solid #C74747;
}
.custom-alert.error .icon {
  background-color: #C74747;
}

.custom-alert.info {
  background-color: #C7E1FF;
  border: 1px solid #1F5DA4;
}
.custom-alert.info .icon {
  background-color: #1F5DA4;
}

.custom-alert.success {
  background-color: #CBFB27;
  border: 1px solid #68B014;
}
.custom-alert.success .icon {
  background-color: #68B014;
}

.errors ul li {
    font-weight: 700;
}

.hexagon {
    display: block;
}

.hexagon.top {
    width: 0;
    border-bottom: 2px solid #6C6;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
}

.hexagon.center {
    width: 8px;
    height: 4px;
    background-color: #6C6;
}

.hexagon.end {
     width: 0;
    border-top: 2px solid #6C6;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
}

#date-time {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
} 

/* Custom Dropdown */
 #custom-dropdown {
      position: relative;
      user-select: none;
    }

    .dropdown-toggle {
      width: 100%;
      background-color: white;
      border: 0px solid #ced4da !important;
      padding: 0.5rem 0rem;
      border-radius: 0.375rem;
      cursor: pointer;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    .dropdown-menu {
      position: absolute;
      top: 100%;
      left: 0;
      width: 100%;
      z-index: 1000;
      background-color: white;
      border: 1px solid #ced4da;
      border-radius: 0.375rem;
      margin-top: 0.25rem;
      display: none;
      max-height: 200px;
      overflow-y: auto;
    }

    .dropdown-menu.show {
      display: block;
    }

    .dropdown-item {
      padding: 0.5rem 1rem;
      cursor: pointer;
      transition: background 0.3s;
    }

    .dropdown-item:hover {
      background: linear-gradient(45deg, #0CDF54, #68B014);
      color: white;
    }

    .dropdown-item.selected {
      background: linear-gradient(45deg, #0CDF54, #68B014);
      color: white;
    }

    .form-control:focus {
        box-shadow: 0 0 0 0rem rgba(0, 123, 255, .25) !important;
    }

    small {
      font-size: 90%;
      font-weight: 600 !important;
    }

    /* Early-in/out Notif */
    #eieo-des {
        font-size: clamp(1rem, 1.1vw, 3rem);
        font-weight: 400 !important;
    }

    @media only screen and (max-width: 767px) {
        #date-time {
            zoom: 66%;
        }

        .custom-alert {
            zoom: 60%;
        }

        .auth-box {
            padding: 1.5rem !important;
        }

        .auth-box img {
            max-width: 100%;
        }

        small {
          font-size: 16px;
        }
        
        .login-card {
            padding-inline: 0px !important;
        }
    }